summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Bartosz Bialy <ethifus@gmail.com>2010-05-13 00:58:26 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:58:26 +0200
commit9902799c0a47a63c3a6ae46f3d8df59a9a711835 (patch)
tree041c0be0733bf9958293dc9400a9af09b7b53a59 /libraries
parentdac7face2e4e0e4801e1f6d5b2cd1da100aa43a1 (diff)
downloadslackbuilds-9902799c0a47a63c3a6ae46f3d8df59a9a711835.tar.gz
slackbuilds-9902799c0a47a63c3a6ae46f3d8df59a9a711835.tar.xz
libraries/PyQwt: Added to 13.0 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/PyQwt/PyQwt.SlackBuild48
-rw-r--r--libraries/PyQwt/PyQwt.info10
-rw-r--r--libraries/PyQwt/README3
-rw-r--r--libraries/PyQwt/slack-desc19
4 files changed, 80 insertions, 0 deletions
diff --git a/libraries/PyQwt/PyQwt.SlackBuild b/libraries/PyQwt/PyQwt.SlackBuild
new file mode 100644
index 0000000000..005630026d
--- /dev/null
+++ b/libraries/PyQwt/PyQwt.SlackBuild
@@ -0,0 +1,48 @@
+#!/bin/sh
+
+# Slackware build script for PyQwt
+# Written by Bartosz Bialy <ethifus@gmail.com>
+
+PRGNAM=PyQwt
+VERSION=${VERSION:-5.2.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd configure
+python ./configure.py -Q ../qwt-5.2
+make
+make install DESTDIR=$PKG
+
+# this will only create appropriate *.egg file
+python ../setup.py install --root $PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ../sphinx/build/html/ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/PyQwt/PyQwt.info b/libraries/PyQwt/PyQwt.info
new file mode 100644
index 0000000000..3845b21b77
--- /dev/null
+++ b/libraries/PyQwt/PyQwt.info
@@ -0,0 +1,10 @@
+PRGNAM="PyQwt"
+VERSION="5.2.0"
+HOMEPAGE="http://pyqwt.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/pyqwt/PyQwt-5.2.0.tar.gz"
+MD5SUM="fcd6c6029090d473dcc9df497516eae7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Bartosz Bialy"
+EMAIL="ethifus@gmail.com"
+APPROVED="rworkman"
diff --git a/libraries/PyQwt/README b/libraries/PyQwt/README
new file mode 100644
index 0000000000..fe2212df44
--- /dev/null
+++ b/libraries/PyQwt/README
@@ -0,0 +1,3 @@
+PyQwt is a Python wrapper for the Qwt C++ class library which extends the Qt
+framework with widgets to display and control data for scientific and
+engineering applications.
diff --git a/libraries/PyQwt/slack-desc b/libraries/PyQwt/slack-desc
new file mode 100644
index 0000000000..5521c5281d
--- /dev/null
+++ b/libraries/PyQwt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+PyQwt: PyQwt (Python wrapper for Qwt library)
+PyQwt:
+PyQwt: PyQwt is a Python wrapper for the Qwt C++ class library which
+PyQwt: extends the Qt frameworkwith widgets to display and control
+PyQwt: data for scientific and engineering applications.
+PyQwt:
+PyQwt: Homepage: http://pyqwt.sourceforge.net/
+PyQwt:
+PyQwt:
+PyQwt:
+PyQwt: